package com.rssuper.models;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\n\u0018\u00002\u00020\u0001B\u0005\u00a2\u0006\u0002\u0010\u0002J\b\u0010\b\u001a\u00020\tH\u0007J\b\u0010\n\u001a\u00020\tH\u0007J\b\u0010\u000b\u001a\u00020\tH\u0007J\b\u0010\f\u001a\u00020\tH\u0007J\b\u0010\r\u001a\u00020\tH\u0007J\b\u0010\u000e\u001a\u00020\tH\u0007J\b\u0010\u000f\u001a\u00020\tH\u0007J\b\u0010\u0010\u001a\u00020\tH\u0007J\b\u0010\u0011\u001a\u00020\tH\u0007J\b\u0010\u0012\u001a\u00020\tH\u0007R\u0014\u0010\u0003\u001a\b\u0012\u0004\u0012\u00020\u00050\u0004X\u0082.\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0007X\u0082.\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u0013"}, d2 = {"Lcom/rssuper/models/SearchFiltersTest;", "", "()V", "adapter", "Lcom/squareup/moshi/JsonAdapter;", "Lcom/rssuper/models/SearchFilters;", "moshi", "Lcom/squareup/moshi/Moshi;", "setup", "", "testContentTypeAudio", "testContentTypeVideo", "testCopy", "testDeserialization", "testEqualsAndHashCode", "testOptionalFieldsNull", "testSerialization", "testSortOptions", "testToString", "RSSuper_debugUnitTest"})
public final class SearchFiltersTest {
    private com.squareup.moshi.Moshi moshi;
    private com.squareup.moshi.JsonAdapter<com.rssuper.models.SearchFilters> adapter;
    
    public SearchFiltersTest() {
        super();
    }
    
    @org.junit.Before()
    public final void setup() {
    }
    
    @org.junit.Test()
    public final void testSerialization() {
    }
    
    @org.junit.Test()
    public final void testDeserialization() {
    }
    
    @org.junit.Test()
    public final void testContentTypeAudio() {
    }
    
    @org.junit.Test()
    public final void testContentTypeVideo() {
    }
    
    @org.junit.Test()
    public final void testSortOptions() {
    }
    
    @org.junit.Test()
    public final void testOptionalFieldsNull() {
    }
    
    @org.junit.Test()
    public final void testCopy() {
    }
    
    @org.junit.Test()
    public final void testEqualsAndHashCode() {
    }
    
    @org.junit.Test()
    public final void testToString() {
    }
}